LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-29-2006, 08:50 AM   #16
deroB
Member
 
Registered: Dec 2005
Location: Sydney, Australia
Distribution: Arch Linux
Posts: 208

Rep: Reputation: 30

cool,

what happened with the following?
bits in [] explain what its doing so dont type it
Code:
su [need root privillages for apt]
apt-get update [update you apt database]
apt-get install mozilla-firefox
exit [get out of root account]
if this worked then you should have firefox 1.5.

otherwise..

Quote:
bash: emacs: command not found
means yo dont have emacs installed.

but lets try the update first.

Last edited by deroB; 01-29-2006 at 08:52 AM.
 
Old 01-29-2006, 09:11 AM   #17
smoaky
LQ Newbie
 
Registered: Jan 2006
Location: Virginia,U.S.A.!!!
Distribution: Ubuntu Studio ,Mandriva 2008
Posts: 20

Original Poster
Rep: Reputation: 0
Here is what it looks like after trying update:

@1[~]$ su
Password:
# apt-get update
Hit http://apt.mepis.org unstable/main Packages
Hit http://apt.mepis.org unstable/main Release
Reading Package Lists... Done
# apt-get install mozilla-firefox
Reading Package Lists... Done
Building Dependency Tree... Done
mozilla-firefox is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
#

It shows that i already have the newest version!??#@?
 
Old 01-29-2006, 10:47 AM   #18
deroB
Member
 
Registered: Dec 2005
Location: Sydney, Australia
Distribution: Arch Linux
Posts: 208

Rep: Reputation: 30
ok...

add these to your sources.list

deb ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free
deb-src ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free

since you dont have emacs lets use kate or kwrite or any text editor

type (as user)
Code:
xhost +
this will let you use gui text editors as root

then:
Code:
su
kate /etc/apt/sources.list
kate is an text editor in KDE. so you should have it.

copy and paste my deb lines above anywhere in the file and save and exit.

then
apt-get update
apt-get install mozilla-firefox

you should then remove my sources from your sources.list to avoid possible later problems.

good luck.....this one should work
 
Old 01-29-2006, 11:26 AM   #19
smoaky
LQ Newbie
 
Registered: Jan 2006
Location: Virginia,U.S.A.!!!
Distribution: Ubuntu Studio ,Mandriva 2008
Posts: 20

Original Poster
Rep: Reputation: 0
Yeah it would work if I knew how to do it correctly. Look at this and see if it is correct.
I used Kate:
This is what I entered AFTER the Kate editor opened up.

xhost +
su
kate /etc/apt/sources.list
deb ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free
deb-src ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free

If this is correct how do I save it and where do I save it to?
My apologies getting you involved in helping me. I know you have better things to do with your time than help me.
 
Old 01-29-2006, 11:48 AM   #20
deroB
Member
 
Registered: Dec 2005
Location: Sydney, Australia
Distribution: Arch Linux
Posts: 208

Rep: Reputation: 30
what you have done above is correct

open kate with as above then
paste the deb lines into kate:

mine looks like this:

Code:
deb ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free
deb-src ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free

#wine sources
#deb http://wine.sourceforge.net/apt/ binary/
#deb-src http://wine.sourceforge.net/apt/ source/

#bootsplash
#deb http://www.bootsplash.de/files/debian/ unstable main
#deb-src http://www.bootsplash.de/files/debian/ unstable main

#splashy
#deb http://splashy.alioth.debian.org/debian unstable main

#lame
#deb http://rarewares.org/debian/packages/unstable ./

#mplayer
#deb ftp://ftp.nerim.net/debian-marillat/ sid
just add :
deb ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free
deb-src ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free
to yours..
and then save it.

lines with # are not read so really my file only read the first two lines.
i needed the other lines for files not available on debain servers

then do the apt-get stuff.

Last edited by deroB; 01-29-2006 at 11:51 AM.
 
Old 01-29-2006, 12:09 PM   #21
smoaky
LQ Newbie
 
Registered: Jan 2006
Location: Virginia,U.S.A.!!!
Distribution: Ubuntu Studio ,Mandriva 2008
Posts: 20

Original Poster
Rep: Reputation: 0
news flash!!!!!!!!!!!
I think I actually have done something right.
look at this and see if it looks correct

# apt-get install mozilla-firefox
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
firefox gcc-4.0-base libatk1.0-0 libc6 libc6-dev libcairo2 libgcc1
libglib2.0-0 libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libpango1.0-0
libpango1.0-common libstdc++6 libxinerama1 libxrender-dev libxrender1
locales render-dev
Suggested packages:
firefox-gnome-support xprint glibc-doc manpages-dev ttf-kochi-mincho
ttf-thryomanes ttf-baekmuk ttf-arphic-bsmi00lp ttf-arphic-gkai00mp
ttf-arphic-bkai00mp mozilla-firefox-gnome-support
Recommended packages:
libatk1.0-data libglib2.0-data
The following NEW packages will be installed:
firefox gcc-4.0-base libcairo2 libstdc++6 libxinerama1
The following packages will be upgraded:
libatk1.0-0 libc6 libc6-dev libgcc1 libglib2.0-0 libgtk2.0-0 libgtk2.0-bin
libgtk2.0-common libpango1.0-0 libpango1.0-common libxrender-dev libxrender1
locales mozilla-firefox render-dev
15 upgraded, 5 newly installed, 0 to remove and 705 not upgraded.
Need to get 27.5MB of archives.
After unpacking 4908kB of additional disk space will be used.
Do you want to continue? [Y/n]

I'm sure you want me to hit Y correct?
 
Old 01-29-2006, 12:13 PM   #22
deroB
Member
 
Registered: Dec 2005
Location: Sydney, Australia
Distribution: Arch Linux
Posts: 208

Rep: Reputation: 30
hit that "Y".
and your done!

remember to remove those line form your sources.list afterwards othrtwise you may get problems.


c ya
and good luck with your many future apt-get's
 
Old 01-29-2006, 12:55 PM   #23
smoaky
LQ Newbie
 
Registered: Jan 2006
Location: Virginia,U.S.A.!!!
Distribution: Ubuntu Studio ,Mandriva 2008
Posts: 20

Original Poster
Rep: Reputation: 0
Everything was completed.Although it asked me SEVERAL times about firefox weather I wanted to use firefox already on the system or not. I went with the default "N" Hope that was correct.Afterwards I rebooted because I was not getting a internet signal. after rebooting my Firefox icon has dissapeared from the bottom panel. I do have internet now and I am using Konqueror to reply to you.
And I thought I wasn't going to have to bother you anymore (for a while)
 
Old 01-29-2006, 01:08 PM   #24
deroB
Member
 
Registered: Dec 2005
Location: Sydney, Australia
Distribution: Arch Linux
Posts: 208

Rep: Reputation: 30
does forefox run with the command:

mozilla-firefox

and is it in the k-menu?

if so just right click on the panel where you want to put the icon and find firefox:
panel menu -> add application to menu -> internet -> firefox
 
Old 01-29-2006, 01:19 PM   #25
smoaky
LQ Newbie
 
Registered: Jan 2006
Location: Virginia,U.S.A.!!!
Distribution: Ubuntu Studio ,Mandriva 2008
Posts: 20

Original Poster
Rep: Reputation: 0
Got it !!!!
Now all I have to do is find where those deb files are that I saved and remove them. How do i find them again?
deb ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free
deb-src ftp://ftp.uk.debian.org/debian/ unstable main contrib non-free


I'll send you a cold brew for all youv'e done to help me out!!
 
Old 01-29-2006, 01:23 PM   #26
deroB
Member
 
Registered: Dec 2005
Location: Sydney, Australia
Distribution: Arch Linux
Posts: 208

Rep: Reputation: 30
no worries

remove them as per post #18.
just add a # in front of each line as you may need them later.
 
Old 01-29-2006, 01:53 PM   #27
smoaky
LQ Newbie
 
Registered: Jan 2006
Location: Virginia,U.S.A.!!!
Distribution: Ubuntu Studio ,Mandriva 2008
Posts: 20

Original Poster
Rep: Reputation: 0
Talking

Thanks a million as always
(when you have time) I'd like to learn how to:
download and run certain backgrounds,screensavers, etc. that I like that I have found on MEPIS eyecandy web site.
How to apply different themes (from web sites) to Konqueror browser.
downloading "splashy" to use as a different grub boot screen
I have a dual boot with WinXP on my bootscreen. I have two kernel options for MEPIS along with Windoze. Have any idea why and which kernel I should always use for MEPIS?
Will splashy have a bootscreen available for dual boot?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
replacing one distro with another joshknape Linux - Newbie 1 09-04-2005 10:29 PM
Replacing Mozilla d4harvey Fedora 11 08-11-2004 04:39 AM
replacing cd by dvd CloudBuilder Linux - Hardware 6 05-17-2004 04:03 PM
replacing Zackdude Linux - General 1 09-08-2003 06:47 PM
replacing packetage c0c0deuz Linux - Newbie 11 07-28-2003 10:47 AM


All times are GMT -5. The time now is 06:44 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration